CUDA Driver API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 6.16. CUDA_MEMSET_NODE_PARAMS Struct Reference

## [Data types used by CUDA driver]

Memset node parameters

### Public Variables

CUdeviceptr dst
unsigned int elementSize
size_t height
size_t pitch
unsigned int value
size_t width

### Variables

CUdeviceptr CUDA_MEMSET_NODE_PARAMS::dst [inherited]

  Destination device pointer

unsigned int CUDA_MEMSET_NODE_PARAMS::elementSize [inherited]

  Size of each element in bytes. Must be 1, 2, or 4.

size_t CUDA_MEMSET_NODE_PARAMS::height [inherited]

  Number of rows

size_t CUDA_MEMSET_NODE_PARAMS::pitch [inherited]

  Pitch of destination device pointer. Unused if height is 1

unsigned int CUDA_MEMSET_NODE_PARAMS::value [inherited]

  Value to be set

size_t CUDA_MEMSET_NODE_PARAMS::width [inherited]

  Width in bytes, of the row